{
    "name": "zertex/ip-pass",
    "description": "IP-PASS Backend",
    "keywords": ["ip-pass", "events"],
    "homepage": "https://id-pass.ru/",
    "type": "project",
    "license": "BSD-3-Clause",
    "support": {
        "issues": "https://id-pass.ru/",
        "forum": "https://id-pass.ru/",
        "wiki": "https://id-pass.ru/"
    },
    "minimum-stability": "stable",
    "require": {
        "php": ">=8.3.0",
        "ext-curl": "*",
        "ext-zip": "*",
        "yiisoft/yii2": "~2.0.45",
        "yiisoft/yii2-bootstrap5": "~2.0.2",
        "yiisoft/yii2-symfonymailer": "~2.0.3",
        "yiisoft/yii2-queue": "^2.3",
        "endroid/qr-code": "^6.0",
        "firebase/php-jwt": "^6.11",
        "ramsey/uuid": "^4.7",
        "zertex/yii2-avatar-generator": "^1.1.7"
    },
    "require-dev": {
        "yiisoft/yii2-debug": "~2.1.0",
        "yiisoft/yii2-gii": "~2.2.0",
        "yiisoft/yii2-faker": "~2.0.0",
        "codeception/codeception": "^5.0.0 || ^4.0",
        "codeception/lib-innerbrowser": "^4.0 || ^3.0 || ^1.1",
        "codeception/module-asserts": "^3.0 || ^1.1",
        "codeception/module-yii2": "^1.1",
        "codeception/module-filesystem": "^3.0 || ^2.0 || ^1.1",
        "codeception/verify": "^3.0 || ^2.2"
    },
    "config": {
        "allow-plugins": {
            "yiisoft/yii2-composer" : true
        },
        "process-timeout": 1800,
        "fxp-asset": {
            "enabled": false
        }
    },
    "scripts": {
        "post-install-cmd": [
            "yii\\composer\\Installer::postInstall"
        ],
        "post-create-project-cmd": [
            "yii\\composer\\Installer::postCreateProject",
            "yii\\composer\\Installer::postInstall"
        ]
    },
    "extra": {
        "yii\\composer\\Installer::postCreateProject": {
            "setPermission": [
                {
                    "runtime": "0777",
                    "web/assets": "0777",
                    "yii": "0755"
                }
            ]
        },
        "yii\\composer\\Installer::postInstall": {
            "generateCookieValidationKey": [
                "config/web.php"
            ]
        }
    },
    "repositories": [
        {
            "type": "composer",
            "url": "https://asset-packagist.org"
        }
    ]
}
